Class | Chef::Provider::Git
In: | lib/chef/provider/git.rb
Parent: | Chef::Provider

### Methods

action_checkout action_export action_sync add_remotes assert_target_directory_valid! checkout clone current_revision_matches_target_revision? enable_submodules existing_git_clone? fetch_updates find_current_revision load_current_resource remote_resolve_reference revision_slug setup_remote_tracking_branches target_dir_non_existent_or_empty? target_revision

### Included Modules

Chef::Mixin::ShellOut

### Public Instance methods

action_checkout()
action_export()
action_sync()
add_remotes()
assert_target_directory_valid!()
checkout()
clone()
current_revision_matches_target_revision?()
enable_submodules()
existing_git_clone?()
fetch_updates()
find_current_revision()
load_current_resource()
remote_resolve_reference()
revision_slug()

Alias for target_revision

setup_remote_tracking_branches()

Use git-config to setup a remote tracking branches. Could use git-remote but it complains when a remote of the same name already exists, git-config will just silenty overwrite the setting every time. This could cause wierd-ness in the remote cache if the url changes between calls, but as long as the repositories are all based from each other it should still work fine.

target_dir_non_existent_or_empty?()
target_revision()

[Validate]